Bug 460407 - Regexp in Bugzilla/BugMail.pm to filter flag changes will fail on flag names with - or + in them
Regexp in Bugzilla/BugMail.pm to filter flag changes will fail on flag names ...
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 00:35 EDT by David Lawrence
Modified: 2013-06-24 00:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-18 16:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2008-08-28 00:35:23 EDT
Description of problem:

Regexp in Bugzilla/BugMail.pm to filter flag changes will fail on flag names with - or + in them. The regexp needs to be fixed to properly handle names with the special characters in them. Currently the flag would be omitted from Bugzilla emails and people would not see the change properly.
Comment 1 David Lawrence 2008-09-18 16:31:21 EDT
Will be in the next update.

Dave

Note You need to log in before you can comment on or make changes to this bug.